Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eu.osci
Enum OSCIRequestAction

    java.lang.Object
      java.lang.Enum<OSCIRequestAction>
          eu.osci.OSCIRequestAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OSCIRequestAction>

    public enum OSCIRequestAction

extends java.lang.Enum<OSCIRequestAction>

The class for addressing action constants in the OSCI 2 context.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Enum Constant Summary
`CLOSE_REQUEST` Addressing action value for MsgBoxCloseRequest messages.
`FETCH_REQUEST` Addressing action value for MsgBoxFetchRequest messages.
`MSG_BOX_RESPONSE` Addressing action value for MsgBoxResponse messages.
`NEXT_REQUEST` Addressing action value for MsgBoxGetNextRequest messages.
`NOTIFICATION` Addressing action value for Notification messages.
`REQUEST` Addressing action value for OSCIRequest messages.
`RESPONSE` Addressing action value for OSCIResponse messages.
`STATUS_LIST_REQUEST` Addressing action value for MsgBoxStatusListRequest messages.

Method Summary
`org.w3._2005._08.addressing.AttributedURIType` | `getAttributedURI()`
`java.lang.String` | `getValue()`
`static OSCIRequestAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OSCIRequestAction` | `valueOfAction(java.lang.String action)`
`static OSCIRequestAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUEST

    public static final OSCIRequestAction REQUEST

  Addressing action value for OSCIRequest messages.

### FETCH_REQUEST

    public static final OSCIRequestAction FETCH_REQUEST

  Addressing action value for MsgBoxFetchRequest messages.

### STATUS_LIST_REQUEST

    public static final OSCIRequestAction STATUS_LIST_REQUEST

  Addressing action value for MsgBoxStatusListRequest messages.

### NEXT_REQUEST

    public static final OSCIRequestAction NEXT_REQUEST

  Addressing action value for MsgBoxGetNextRequest messages.

### CLOSE_REQUEST

    public static final OSCIRequestAction CLOSE_REQUEST

  Addressing action value for MsgBoxCloseRequest messages.

### RESPONSE

    public static final OSCIRequestAction RESPONSE

  Addressing action value for OSCIResponse messages.

### MSG_BOX_RESPONSE

    public static final OSCIRequestAction MSG_BOX_RESPONSE

  Addressing action value for MsgBoxResponse messages.

### NOTIFICATION

    public static final OSCIRequestAction NOTIFICATION

  Addressing action value for Notification messages.

Method Detail

### values

    public static OSCIRequestAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OSCIRequestAction c : OSCIRequestAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OSCIRequestAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public java.lang.String getValue()

  Returns:
    The property value.

### valueOfAction

    public static OSCIRequestAction valueOfAction(java.lang.String action)

  Parameters:
    `action` -
  Returns:
    The OSCIRequestAction object.

### getAttributedURI

    public org.w3._2005._08.addressing.AttributedURIType getAttributedURI()

  Returns:
    The created AttributedURI object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Freie Hansestadt Bremen.